[ home | FAQ | download | troubleshooting | manual | cvs | mailing lists ]

# Resource: scalereturn

## applicability

Toplevel, Module class or instance

## possible settings

>=0 (in refresh periods)
(default varies my module; global default is 8)

## description

scalereturn specifies how long a module should wait before considering to reduce the scalerange on a bargraph. If, during the past (scalerefresh * scalereturn) milliseconds period, no graph value exceeded 1/scalethresh of the current scale range, the scale range will be halved. This assumes, of course, that the given module is using autoranging graphs.

## see also

scalerefresh scalethresh scalescroll

MGM will not get your whites whiter or your colors brighter. It will, however, sit there and look spiffy while sucking down a major honking wad of RAM.

MGM, Xiphophorus and their logos are trademarks (tm) of Xiphophorus. These pages are copyright (C) 1994-1999 Xiphophorus. All rights reserved.